#!/bin/sh
# Kopf fuer slackware-Pakete

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# config etc/bootptab.new

Libverz=/usr/lib/weechat/plugins
Hier=$pwd
grep -q ^$Libverz etc/ld.so.conf || {
    echo $Libverz >> etc/ld.so.conf
    ldconfig -r $Hier 
    }

(cd usr/bin; ln -sf --backup=t weechat-curses irc)

#
